package cn.ibizlab.businesscentral.core.odoo_mail.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.businesscentral.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.businesscentral.core.odoo_mail.domain.Mail_activity_type;
/**
 * 关系型数据实体[Mail_activity_type] 查询条件对象
 */
@Slf4j
@Data
public class Mail_activity_typeSearchContext extends QueryWrapperContext<Mail_activity_type> {

	private String n_category_eq;//[类别]
	public void setN_category_eq(String n_category_eq) {
        this.n_category_eq = n_category_eq;
        if(!ObjectUtils.isEmpty(this.n_category_eq)){
            this.getSearchCond().eq("category", n_category_eq);
        }
    }
	private String n_delay_from_eq;//[延迟类型]
	public void setN_delay_from_eq(String n_delay_from_eq) {
        this.n_delay_from_eq = n_delay_from_eq;
        if(!ObjectUtils.isEmpty(this.n_delay_from_eq)){
            this.getSearchCond().eq("delay_from", n_delay_from_eq);
        }
    }
	private String n_name_like;//[名称]
	public void setN_name_like(String n_name_like) {
        this.n_name_like = n_name_like;
        if(!ObjectUtils.isEmpty(this.n_name_like)){
            this.getSearchCond().like("name", n_name_like);
        }
    }
	private String n_decoration_type_eq;//[排版类型]
	public void setN_decoration_type_eq(String n_decoration_type_eq) {
        this.n_decoration_type_eq = n_decoration_type_eq;
        if(!ObjectUtils.isEmpty(this.n_decoration_type_eq)){
            this.getSearchCond().eq("decoration_type", n_decoration_type_eq);
        }
    }
	private String n_delay_unit_eq;//[延迟单位]
	public void setN_delay_unit_eq(String n_delay_unit_eq) {
        this.n_delay_unit_eq = n_delay_unit_eq;
        if(!ObjectUtils.isEmpty(this.n_delay_unit_eq)){
            this.getSearchCond().eq("delay_unit", n_delay_unit_eq);
        }
    }
	private String n_default_next_type_id_text_eq;//[设置默认下一个活动]
	public void setN_default_next_type_id_text_eq(String n_default_next_type_id_text_eq) {
        this.n_default_next_type_id_text_eq = n_default_next_type_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_default_next_type_id_text_eq)){
            this.getSearchCond().eq("default_next_type_id_text", n_default_next_type_id_text_eq);
        }
    }
	private String n_default_next_type_id_text_like;//[设置默认下一个活动]
	public void setN_default_next_type_id_text_like(String n_default_next_type_id_text_like) {
        this.n_default_next_type_id_text_like = n_default_next_type_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_default_next_type_id_text_like)){
            this.getSearchCond().like("default_next_type_id_text", n_default_next_type_id_text_like);
        }
    }
	private String n_write_uid_text_eq;//[最后更新者]
	public void setN_write_uid_text_eq(String n_write_uid_text_eq) {
        this.n_write_uid_text_eq = n_write_uid_text_eq;
        if(!ObjectUtils.isEmpty(this.n_write_uid_text_eq)){
            this.getSearchCond().eq("write_uid_text", n_write_uid_text_eq);
        }
    }
	private String n_write_uid_text_like;//[最后更新者]
	public void setN_write_uid_text_like(String n_write_uid_text_like) {
        this.n_write_uid_text_like = n_write_uid_text_like;
        if(!ObjectUtils.isEmpty(this.n_write_uid_text_like)){
            this.getSearchCond().like("write_uid_text", n_write_uid_text_like);
        }
    }
	private String n_create_uid_text_eq;//[创建人]
	public void setN_create_uid_text_eq(String n_create_uid_text_eq) {
        this.n_create_uid_text_eq = n_create_uid_text_eq;
        if(!ObjectUtils.isEmpty(this.n_create_uid_text_eq)){
            this.getSearchCond().eq("create_uid_text", n_create_uid_text_eq);
        }
    }
	private String n_create_uid_text_like;//[创建人]
	public void setN_create_uid_text_like(String n_create_uid_text_like) {
        this.n_create_uid_text_like = n_create_uid_text_like;
        if(!ObjectUtils.isEmpty(this.n_create_uid_text_like)){
            this.getSearchCond().like("create_uid_text", n_create_uid_text_like);
        }
    }
	private Long n_create_uid_eq;//[创建人]
	public void setN_create_uid_eq(Long n_create_uid_eq) {
        this.n_create_uid_eq = n_create_uid_eq;
        if(!ObjectUtils.isEmpty(this.n_create_uid_eq)){
            this.getSearchCond().eq("create_uid", n_create_uid_eq);
        }
    }
	private Long n_write_uid_eq;//[最后更新者]
	public void setN_write_uid_eq(Long n_write_uid_eq) {
        this.n_write_uid_eq = n_write_uid_eq;
        if(!ObjectUtils.isEmpty(this.n_write_uid_eq)){
            this.getSearchCond().eq("write_uid", n_write_uid_eq);
        }
    }
	private Long n_default_next_type_id_eq;//[设置默认下一个活动]
	public void setN_default_next_type_id_eq(Long n_default_next_type_id_eq) {
        this.n_default_next_type_id_eq = n_default_next_type_id_eq;
        if(!ObjectUtils.isEmpty(this.n_default_next_type_id_eq)){
            this.getSearchCond().eq("default_next_type_id", n_default_next_type_id_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("name", query)   
            );
		 }
	}
}



